Package de.willuhn.jameica.hbci.io

# Class MT940UmsatzExporter.MyOutputStreamWriter

java.lang.Object
java.io.Writer
java.io.OutputStreamWriter
de.willuhn.jameica.hbci.io.MT940UmsatzExporter.MyOutputStreamWriter

All Implemented Interfaces:
  `Closeable`, `Flushable`, `Appendable`, `AutoCloseable`

Enclosing class:
  `MT940UmsatzExporter`

protected class MT940UmsatzExporter.MyOutputStreamWriter extends OutputStreamWriter
Ableitung von OutputStreamWriter, um die Umlaute umzuschreiben.

## Field Summary

### Fields inherited from class java.io.Writer

`lock`

## Constructor Summary

Constructors
Constructor
Description
`MyOutputStreamWriter(OutputStream out)`
ct.

## Method Summary

Modifier and Type
Method
Description
`void`
`write(String str)`

### Methods inherited from class java.io.OutputStreamWriter

`append, append, close, flush, getEncoding, write, write, write`

### Methods inherited from class java.io.Writer

`append, nullWriter, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MyOutputStreamWriter

public MyOutputStreamWriter(OutputStream out) throws UnsupportedEncodingException
ct.

Parameters:
  `out` -
Throws:
  `UnsupportedEncodingException`

## Method Details

### write

public void write(String str) throws IOException

Overrides:
  `write` in class `Writer`
Throws:
  `IOException`